- Qt 6.9
- Qt Charts
- C++ Classes
- QHorizontalPercentBarSeries
- Qt Charts | Commercial or GPLv3

# QHorizontalPercentBarSeries Class

The QHorizontalPercentBarSeries class presents a series of categorized data as a percentage of each category. More...

Header: | `#include <QHorizontalPercentBarSeries>`
In QML: | HorizontalPercentBarSeries
Inherits: | QAbstractBarSeries

- List of all members, including inherited members

## Public Functions

| QHorizontalPercentBarSeries(QObject *parent = nullptr)
virtual | ~QHorizontalPercentBarSeries()

## Reimplemented Public Functions

virtual QAbstractSeries::SeriesType | type() const override

## Detailed Description

This class draws data as a series of uniformly sized horizontally stacked bars, with one bar per category. Each bar set added to the series contributes a single segment to each stacked bar. The segment size corresponds to the percentage of the segment value compared with the total value of all segments in the stack. Bars with zero value are not drawn.

See the Charts with Widgets Gallery to learn how to create a horizontal percent bar chart.

See also QBarSet, QBarSeries, QPercentBarSeries, QAbstractBarSeries, QStackedBarSeries, QHorizontalStackedBarSeries, and QHorizontalBarSeries.

## Member Function Documentation

### `[explicit]` QHorizontalPercentBarSeries::QHorizontalPercentBarSeries(QObject *parent = nullptr)

Constructs an empty horizontal percent bar series that is a QObject and a child of parent.

### `[virtual noexcept]` QHorizontalPercentBarSeries::~QHorizontalPercentBarSeries()

Removes the bar series from the chart.

### `[override virtual]` QAbstractSeries::SeriesType QHorizontalPercentBarSeries::type() const

Reimplements an access function for property: QAbstractSeries::type.

Returns the horizontal percent bar series.